mod consts;
mod globaldata;
mod gpustate;
mod pipeline;
mod sprite;
mod texturearray;
mod vertexbuffer;

pub use gpustate::GPUState;
pub use sprite::{Sprite, SubSprite};

/// A handle to a sprite texture
/// TODO: This should be easy to copy,
/// but string references create unnecessary complexity
#[derive(Debug, Clone)]
pub struct SpriteTexture(pub String);
